// CanvansPropDlg.cpp: 实现文件
//

#include "pch.h"
#include "FYEDrawDemoVC.h"
#include "CanvansPropDlg.h"
#include "afxdialogex.h"


// CCanvansPropDlg 对话框

IMPLEMENT_DYNAMIC(CCanvansPropDlg, CDialog)

CCanvansPropDlg::CCanvansPropDlg(CWnd* pParent /*=nullptr*/)
	: CDialog(IDD_DIALOG_PCANVAS, pParent)
	, m_iBackColor(0)
	, m_iCanvWidth(0)
	, m_iCanvHeight(0)
	, m_iVirWidth(0)
	, m_iVirHeight(0)
	, m_bGridShow(FALSE)
{

}

CCanvansPropDlg::~CCanvansPropDlg()
{
}

void CCanvansPropDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	DDX_Text(pDX, IDC_EDIT_PROP_BKCOLOR, m_iBackColor);
	DDX_Text(pDX, IDC_EDIT_PROP_FYWIDTH, m_iCanvWidth);
	DDX_Text(pDX, IDC_EDIT_PROP_FYHEIGHT, m_iCanvHeight);
	DDX_Text(pDX, IDC_EDIT_PROP_CANWIDTH, m_iVirWidth);
	DDX_Text(pDX, IDC_EDIT_PROP_CANHEIGHT, m_iVirHeight);
	DDX_Check(pDX, IDC_CHECK_GRIDSHOW, m_bGridShow);
}


BEGIN_MESSAGE_MAP(CCanvansPropDlg, CDialog)
	ON_BN_CLICKED(IDOK, &CCanvansPropDlg::OnBnClickedOk)
	ON_BN_CLICKED(IDCANCEL, &CCanvansPropDlg::OnBnClickedCancel)
END_MESSAGE_MAP()


// CCanvansPropDlg 消息处理程序


void CCanvansPropDlg::OnBnClickedOk()
{
	// TODO: 在此添加控件通知处理程序代码
	CDialog::OnOK();
}


void CCanvansPropDlg::OnBnClickedCancel()
{
	// TODO: 在此添加控件通知处理程序代码
	CDialog::OnCancel();
}
